Print

Print


Commit in hps-java/scripts on MAIN
et_evio_file_producer_test.sh+11-31.2 -> 1.3

hps-java/scripts
et_evio_file_producer_test.sh 1.2 -> 1.3
diff -u -r1.2 -r1.3
--- et_evio_file_producer_test.sh	9 Mar 2012 02:44:44 -0000	1.2
+++ et_evio_file_producer_test.sh	9 Mar 2012 02:49:57 -0000	1.3
@@ -1,5 +1,6 @@
 #!/bin/sh
 
+# This stuff only works on Linux due to dependency on a system-dependent JNI lib which doesn't seem to compile on OSX.
 if [ $(uname) == "Linux" ]
 then
     echo "Running on a Linux system.  OK."
@@ -8,12 +9,19 @@
     exit 1
 fi
 
+# Check for LD_LIBRARY_PATH which should point to hps-et-java lib dir.
+if [ -z "$LD_LIBRARY_PATH" ]; then
+    echo "No LD_LIBRARY_PATH is set in your environment.  Set this to [--YOUR_PATH_TO--]/hps-et-java/lib/lib/Linux-x86_64/ and try again."
+    exit 1
+fi
+
+# Single argument is name of EVIO file.
 eviofile=$1
 
-#export LD_LIBRARY_PATH=`pwd`/lib/Linux-x86_64/
+# Classpath pointing to the hps-java jar.
 classpath=`pwd`/target/hps-java-1.0-SNAPSHOT-bin.jar
 
-#prod="java -classpath $classpath org.lcsim.hps.evio.EvioFileProducer -e ${eviofile} -f ETBuffer -host $(hostname) -s 1024"
-prod="java -classpath $classpath org.lcsim.hps.evio.EvioFileProducer -e ${eviofile} -f ETBuffer -host $(hostname) -s 64000"
+# Run it.
+prod="java -classpath $classpath org.lcsim.hps.evio.EvioFileProducer -e ${eviofile} -f ETBuffer -host $(hostname) -s 1000"
 echo $prod
 exec $prod
CVSspam 0.2.12


Use REPLY-ALL to reply to list

To unsubscribe from the LCD-CVS list, click the following link:
https://listserv.slac.stanford.edu/cgi-bin/wa?SUBED1=LCD-CVS&A=1